## senlin 3.0.0~b3

=== debian/changelog ===
senlin (3.0.0~b3-0ubuntu2) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Use tarballs.openstack.org
  * New usptream release.
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 14:20:34 -0500

## senlin 3.0.0~rc2

=== debian/changelog ===
senlin (3.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 15:44:44 -0500

senlin (3.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Use tarballs.openstack.org
  * New usptream milestone for Ocata.
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 11:45:49 -0500

## senlin 3.0.0

=== debian/changelog ===
senlin (3.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:37:44 -0500

=== debian/control ===
Source: senlin
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-docker (>= 1.6.0),
                     python-eventlet (>= 0.18.2),
                     python-hacking (>= 0.10.2),
                     python-jsonpath-rw (>= 1.2.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-microversion-parse (>= 0.1.2),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox,
                     python-mox3 (>= 0.7.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-openstacksdk (>= 0.9.10),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.11.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-osprofiler,
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-pymysql,
                     python-qpid,
                     python-requests (>= 2.10.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-webob (>= 1.6.0),
                     python-yaml (>= 3.10.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
Homepage: https://github.com/stackforge/senlin

Package: python-senlin
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-docker (>= 1.6.0),
         python-eventlet (>= 0.18.2),
         python-jsonpath-rw (>= 1.2.0),
         python-keystonemiddleware (>= 4.2.0),
         python-microversion-parse (>= 0.1.2),
         python-migrate (>= 0.9.6),
         python-openstacksdk (>= 0.9.10),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-qpid,
         python-requests (>= 2.10.0),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-tz,
         python-webob (>= 1.6.0),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends}
Description: clustering service for OpenStack clouds - Python 2.7
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the Python 2.7 library.

Package: senlin-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-senlin (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Description: clustering service for OpenStack clouds - common files
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides common files and configuration.

Package: senlin-api
Architecture: all
Depends: adduser,
         senlin-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: clustering service for OpenStack clouds - API
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the REST API daemon.

Package: senlin-engine
Architecture: all
Depends: adduser,
         senlin-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: clustering service for OpenStack clouds - Engine
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the engine daemon.

Package: senlin-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: clustering service for OpenStack clouds - docs
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the documentation.

## senlin 4.0.0~b1

=== debian/changelog ===
senlin (4.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:55:12 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: git,
@@ -29,17 +29,17 @@
                      python-openstackdocstheme (>= 1.5.0),
                      python-openstacksdk (>= 0.9.10),
                      python-os-testr (>= 0.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.11.0),
+                     python-oslo.config (>= 1:3.22.0),
+                     python-oslo.context (>= 2.12.0),
+                     python-oslo.db (>= 4.19.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
+                     python-oslo.messaging (>= 5.19.0),
+                     python-oslo.middleware (>= 3.10.0),
                      python-oslo.policy (>= 1.17.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
                      python-osprofiler,
                      python-oslosphinx (>= 4.7.0),
@@ -53,12 +53,12 @@
                      python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:14.0.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tz,
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      python-yaml (>= 3.10.0),
                      subunit,
                      tempest (>= 1:12.1.0),
@@ -79,28 +79,28 @@
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.9.6),
          python-openstacksdk (>= 0.9.10),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:3.22.0),
+         python-oslo.context (>= 2.12.0),
+         python-oslo.db (>= 4.19.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.0.0),
+         python-oslo.messaging (>= 5.19.0),
+         python-oslo.middleware (>= 3.10.0),
          python-oslo.policy (>= 1.17.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.versionedobjects (>= 1.17.0),
          python-pastedeploy (>= 1.5.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-qpid,
          python-requests (>= 2.10.0),
          python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-tz,
-         python-webob (>= 1.6.0),
+         python-webob (>= 1.7.1),
          python-yaml (>= 3.10.0),
          ${misc:Depends},
          ${python:Depends}

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/senlin/ senlin-(\d.*)\.tar\.gz

## senlin 4.0.0~b2

=== debian/changelog ===
senlin (4.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:11:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-all,
                python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: git,
                      python-babel (>= 2.3.4),
                      python-coverage (>= 4.0),
@@ -22,35 +22,35 @@
                      python-jsonpath-rw (>= 1.2.0),
                      python-keystonemiddleware (>= 4.2.0),
                      python-microversion-parse (>= 0.1.2),
-                     python-migrate (>= 0.9.6),
+                     python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-mox,
                      python-mox3 (>= 0.7.0),
                      python-openstackdocstheme (>= 1.5.0),
-                     python-openstacksdk (>= 0.9.10),
+                     python-openstacksdk (>= 0.9.13),
                      python-os-testr (>= 0.8.0),
-                     python-oslo.config (>= 1:3.22.0),
-                     python-oslo.context (>= 2.12.0),
-                     python-oslo.db (>= 4.19.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.21.1),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.19.0),
-                     python-oslo.middleware (>= 3.10.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
                      python-oslo.policy (>= 1.17.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
-                     python-osprofiler,
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
+                     python-osprofiler,
                      python-paramiko (>= 1.13.0),
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-pymysql,
                      python-qpid,
                      python-requests (>= 2.10.0),
-                     python-routes (>= 1.12.3),
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.20.0),
@@ -62,7 +62,7 @@
                      python-yaml (>= 3.10.0),
                      subunit,
                      tempest (>= 1:12.1.0),
-                     testrepository
+                     testrepository,
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
@@ -77,15 +77,15 @@
          python-jsonpath-rw (>= 1.2.0),
          python-keystonemiddleware (>= 4.2.0),
          python-microversion-parse (>= 0.1.2),
-         python-migrate (>= 0.9.6),
-         python-openstacksdk (>= 0.9.10),
-         python-oslo.config (>= 1:3.22.0),
-         python-oslo.context (>= 2.12.0),
-         python-oslo.db (>= 4.19.0),
+         python-migrate (>= 0.11.0),
+         python-openstacksdk (>= 0.9.13),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.21.1),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.19.0),
-         python-oslo.middleware (>= 3.10.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
          python-oslo.policy (>= 1.17.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
@@ -95,7 +95,7 @@
          python-pbr (>= 2.0.0),
          python-qpid,
          python-requests (>= 2.10.0),
-         python-routes (>= 1.12.3),
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.20.0),
@@ -103,7 +103,7 @@
          python-webob (>= 1.7.1),
          python-yaml (>= 3.10.0),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: clustering service for OpenStack clouds - Python 2.7
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -127,7 +127,7 @@
          python-senlin (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: clustering service for OpenStack clouds - common files
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -148,7 +148,7 @@
 Depends: adduser,
          senlin-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: clustering service for OpenStack clouds - API
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -169,7 +169,7 @@
 Depends: adduser,
          senlin-common (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: clustering service for OpenStack clouds - Engine
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -188,7 +188,8 @@
 Package: senlin-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: clustering service for OpenStack clouds - docs
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal

## senlin 4.0.0~b3

=== debian/changelog ===
senlin (4.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:25 -0400

senlin (4.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/p/use-docker-1.9.0.patch: Revert to using python-docker
    1.9.0.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:25:38 -0400

=== debian/control ===
--- 
+++ 
@@ -16,32 +16,32 @@
 Build-Depends-Indep: git,
                      python-babel (>= 2.3.4),
                      python-coverage (>= 4.0),
-                     python-docker (>= 1.6.0),
+                     python-docker (>= 1.9.0),
                      python-eventlet (>= 0.18.2),
                      python-hacking (>= 0.10.2),
                      python-jsonpath-rw (>= 1.2.0),
+                     python-keystoneauth1 (>= 3.0.1),
                      python-keystonemiddleware (>= 4.2.0),
                      python-microversion-parse (>= 0.1.2),
                      python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-mox,
                      python-mox3 (>= 0.7.0),
-                     python-openstackdocstheme (>= 1.5.0),
-                     python-openstacksdk (>= 0.9.13),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-openstacksdk (>= 0.9.17),
                      python-os-testr (>= 0.8.0),
                      python-oslo.config (>= 1:4.0.0),
                      python-oslo.context (>= 2.14.0),
-                     python-oslo.db (>= 4.21.1),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.22.0),
                      python-oslo.messaging (>= 5.25.0),
                      python-oslo.middleware (>= 3.27.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-osprofiler,
                      python-paramiko (>= 1.13.0),
@@ -49,12 +49,12 @@
                      python-pep8,
                      python-pymysql,
                      python-qpid,
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.20.0),
-                     python-tempest (>= 1:14.0.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tz,
@@ -72,21 +72,22 @@
 Section: python
 Architecture: all
 Depends: python-babel (>= 2.3.4),
-         python-docker (>= 1.6.0),
+         python-docker (>= 1.9.0),
          python-eventlet (>= 0.18.2),
          python-jsonpath-rw (>= 1.2.0),
+         python-keystoneauth1 (>= 3.0.1),
          python-keystonemiddleware (>= 4.2.0),
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.11.0),
-         python-openstacksdk (>= 0.9.13),
+         python-openstacksdk (>= 0.9.17),
          python-oslo.config (>= 1:4.0.0),
          python-oslo.context (>= 2.14.0),
-         python-oslo.db (>= 4.21.1),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.22.0),
          python-oslo.messaging (>= 5.25.0),
          python-oslo.middleware (>= 3.27.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.20.0),
@@ -94,7 +95,7 @@
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 2.0.0),
          python-qpid,
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),

## senlin 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
docker>=2.0.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
openstacksdk>=0.9.17 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pytz>=2013.6 # MIT
PyYAML>=3.10.0 # MIT
qpid-python;python_version=='2.7' # Apache-2.0
requests>=2.14.2 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
senlin (4.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2017 08:44:50 -0400

senlin (4.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:04:34 -0400

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                      python-eventlet (>= 0.18.2),
                      python-hacking (>= 0.10.2),
                      python-jsonpath-rw (>= 1.2.0),
-                     python-keystoneauth1 (>= 3.0.1),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystonemiddleware (>= 4.2.0),
                      python-microversion-parse (>= 0.1.2),
                      python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-mox,
                      python-mox3 (>= 0.7.0),
-                     python-openstackdocstheme (>= 1.11.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-openstacksdk (>= 0.9.17),
                      python-os-testr (>= 0.8.0),
                      python-oslo.config (>= 1:4.0.0),
@@ -75,7 +75,7 @@
          python-docker (>= 1.9.0),
          python-eventlet (>= 0.18.2),
          python-jsonpath-rw (>= 1.2.0),
-         python-keystoneauth1 (>= 3.0.1),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystonemiddleware (>= 4.2.0),
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.11.0),

## senlin 5.0.0~b2

=== debian/changelog ===
senlin (5.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/p/use-docker-1.9.0, d/control: Added patch back to revert to using
    python-docker 1.9.0 for the Queens cloud archive and adds lsb-release
    to (Build-)Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 13:19:22 -0500

senlin (5.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.
  * d/p/*: Dropped. No longer needed.
  * d/senlin-common.install: Drop install of policy.json as default
    policies have been moved into code.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 17:16:54 -0500

=== debian/control ===
Source: senlin
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 lsb-release,
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-docker (>= 1.9.0),
 python-eventlet (>= 0.18.2),
 python-hacking (>= 0.10.2),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-microversion-parse (>= 0.1.2),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-mox,
 python-mox3 (>= 0.7.0),
 python-openstackdocstheme (>= 1.17.0),
 python-openstacksdk (>= 0.9.19),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.23.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.31.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-oslotest (>= 1.10.0),
 python-osprofiler,
 python-paramiko (>= 1.13.0),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-pymysql,
 python-qpid,
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tz,
 python-webob (>= 1.7.1),
 python-yaml (>= 3.10),
 subunit,
 tempest (>= 1:12.1.0),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
Homepage: https://github.com/stackforge/senlin

Package: python-senlin
Section: python
Architecture: all
Depends:
 lsb-release,
 python-babel (>= 2.3.4),
 python-docker (>= 1.9.0),
 python-eventlet (>= 0.18.2),
 python-jsonpath-rw (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-microversion-parse (>= 0.1.2),
 python-migrate (>= 0.11.0),
 python-openstacksdk (>= 0.9.19),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.23.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.31.0),
 python-oslo.versionedobjects (>= 1.28.0),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-qpid,
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1.20.0),
 python-tz,
 python-webob (>= 1.7.1),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Description: clustering service for OpenStack clouds - Python 2.7
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the Python 2.7 library.

Package: senlin-api
Architecture: all
Depends:
 adduser,
 senlin-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: clustering service for OpenStack clouds - API
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the REST API daemon.

Package: senlin-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-senlin (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Description: clustering service for OpenStack clouds - common files
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides common files and configuration.

Package: senlin-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: clustering service for OpenStack clouds - docs
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the documentation.

Package: senlin-engine
Architecture: all
Depends:
 adduser,
 senlin-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: clustering service for OpenStack clouds - Engine
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the engine daemon.

## senlin 5.0.0~b3

=== debian/changelog ===
senlin (5.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/control: Drop python-qpid min version, enabling backport
    to cloud-archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 15:26:49 -0500

senlin (5.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:33:08 -0500

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python-coverage (>= 4.0),
  python-docker (>= 1.9.0),
  python-eventlet (>= 0.18.2),
- python-hacking (>= 0.10.2),
+ python-hacking (>= 0.12.0),
  python-jsonpath-rw (>= 1.2.0),
  python-jsonschema (>= 2.6.0),
  python-keystoneauth1 (>= 3.3.0),
@@ -31,7 +31,7 @@
  python-mock (>= 2.0.0),
  python-mox,
  python-mox3 (>= 0.7.0),
- python-openstackdocstheme (>= 1.17.0),
+ python-openstackdocstheme (>= 1.18.1),
  python-openstacksdk (>= 0.9.19),
  python-os-api-ref (>= 1.4.0),
  python-os-testr (>= 1.0.0),
@@ -39,31 +39,32 @@
  python-oslo.context (>= 1:2.19.2),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.30.0),
+ python-oslo.log (>= 3.36.0),
  python-oslo.messaging (>= 5.29.0),
  python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.23.0),
+ python-oslo.policy (>= 1.30.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.31.0),
+ python-oslo.utils (>= 3.33.0),
  python-oslo.versionedobjects (>= 1.28.0),
- python-oslotest (>= 1.10.0),
- python-osprofiler,
+ python-oslotest (>= 1:3.2.0),
+ python-osprofiler (>= 1.4.0),
  python-paramiko (>= 1.13.0),
  python-pastedeploy (>= 1.5.0),
  python-pep8,
- python-pymysql,
+ python-pymysql (>= 0.7.6),
  python-qpid,
  python-requests (>= 2.14.2),
  python-routes (>= 2.3.1),
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1.20.0),
+ python-stevedore (>= 1:1.20.0),
  python-tempest (>= 1:17.1.0),
+ python-testrepository (>= 0.0.18),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
- python-tz,
- python-webob (>= 1.7.1),
+ python-tz (>= 2013.6),
+ python-webob (>= 1:1.7.1),
  python-yaml (>= 3.10),
  subunit,
  tempest (>= 1:12.1.0),
@@ -92,14 +93,15 @@
  python-oslo.context (>= 1:2.19.2),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.30.0),
+ python-oslo.log (>= 3.36.0),
  python-oslo.messaging (>= 5.29.0),
  python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.23.0),
+ python-oslo.policy (>= 1.30.0),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.31.0),
+ python-oslo.utils (>= 3.33.0),
  python-oslo.versionedobjects (>= 1.28.0),
+ python-osprofiler (>= 1.4.0),
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 2.0.0),
  python-qpid,
@@ -107,9 +109,9 @@
  python-routes (>= 2.3.1),
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1.20.0),
- python-tz,
- python-webob (>= 1.7.1),
+ python-stevedore (>= 1:1.20.0),
+ python-tz (>= 2013.6),
+ python-webob (>= 1:1.7.1),
  python-yaml (>= 3.10),
  ${misc:Depends},
  ${python:Depends},

## senlin 5.0.0~rc1

=== debian/changelog ===
senlin (5.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-docker-1.9.0.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 09:35:38 -0500

## senlin 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
docker>=2.4.2 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
openstacksdk>=0.9.19 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pytz>=2013.6 # MIT
PyYAML>=3.10 # MIT
qpid-python>=0.26;python_version=='2.7' # Apache-2.0
requests>=2.14.2 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
senlin (5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:59:40 -0500

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
  python-oslo.serialization (>= 2.18.0),
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
- python-oslo.versionedobjects (>= 1.28.0),
+ python-oslo.versionedobjects (>= 1.31.2),
  python-oslotest (>= 1:3.2.0),
  python-osprofiler (>= 1.4.0),
  python-paramiko (>= 1.13.0),
@@ -100,7 +100,7 @@
  python-oslo.serialization (>= 2.18.0),
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
- python-oslo.versionedobjects (>= 1.28.0),
+ python-oslo.versionedobjects (>= 1.31.2),
  python-osprofiler (>= 1.4.0),
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 2.0.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/senlin/ senlin-(5\.\d.*)\.tar\.gz
